clang 10.0.0git

Functions
DependencyScanningFilesystem.cpp File Reference
`#include "clang/Tooling/DependencyScanning/DependencyScanningFilesystem.h"`
`#include "clang/Lex/DependencyDirectivesSourceMinimizer.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/Threading.h"`
Include dependency graph for DependencyScanningFilesystem.cpp:

Go to the source code of this file.

## Functions
static bool | shouldMinimize (StringRef Filename)
| Whitelist file extensions that should be minimized, treating no extension as a source file that should be minimized. More...
static bool | shouldCacheStatFailures (StringRef Filename)

## Function Documentation

## ◆ shouldCacheStatFailures()

static bool shouldCacheStatFailures | ( | StringRef | Filename | ) |
| static

Definition at line 144 of file DependencyScanningFilesystem.cpp.

References Filename, clang::tooling::dependencies::CachedFileSystemEntry::isValid(), shouldMinimize(), clang::tooling::dependencies::DependencyScanningFilesystemSharedCache::SharedFileSystemEntry::Value, and clang::tooling::dependencies::DependencyScanningFilesystemSharedCache::SharedFileSystemEntry::ValueLock.

## ◆ shouldMinimize()

static bool shouldMinimize | ( | StringRef | Filename | ) |
| static

Whitelist file extensions that should be minimized, treating no extension as a source file that should be minimized.

This is kinda hacky, it would be better if we knew what kind of file Clang was expecting instead.

Definition at line 130 of file DependencyScanningFilesystem.cpp.

Referenced by shouldCacheStatFailures().